# MD for: https://www.mercadopago.com.pe/developers/es/docs/checkout-bricks/additional-content/consult-payment-methods.md \# Consult payment methods To get a detailed list of all payment methods available for integration, send a \*\*GET\*\* with your \*\*Access token\*\* to the endpoint \[/v1/payment\_methods\](https://www.mercadopago.com.pe/developers/en/reference/online-payments/checkout-api-payments/payment-methods/get) and run the request or, if you prefer, make the request using the SDKs below. * [csharp ](#editor%5F5) * [curl ](#editor%5F7) * [java ](#editor%5F3) * [node ](#editor%5F2) * [php ](#editor%5F1) * [python ](#editor%5F6) * [ruby ](#editor%5F4) php node java ruby csharp python curl ``` ``` Copiar ``` var mercadopago = require('mercadopago'); mercadopago.configurations.setAccessToken(config.access_token); var response = await mercadopago.payment_methods.listAll(); var payment_methods = response.body; ``` Copiar ``` MercadoPagoConfig.setAccessToken("ENV_ACCESS_TOKEN"); PaymentMethodClient client = new PaymentMethodClient(); client.list(); ``` Copiar ``` require 'mercadopago' sdk = Mercadopago::SDK.new('ENV_ACCESS_TOKEN') payment_methods_response = sdk.payment_methods.get() payment_methods = payment_methods_response[:response] ``` Copiar ``` using MercadoPago.Client.PaymentMethod; using MercadoPago.Config; using MercadoPago.Resource; using MercadoPago.Resource.PaymentMethod; MercadoPagoConfig.AccessToken = "ENV_ACCESS_TOKEN"; var client = new PaymentMethodClient(); ResourcesList paymentMethods = await client.ListAsync(); ``` Copiar ``` import mercadopago sdk = mercadopago.SDK("ACCESS_TOKEN") payment_methods_response = sdk.payment_methods().list_all() payment_methods = payment_methods_response["response"] ``` Copiar ``` curl -X GET \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/payment_methods' \ ``` Copiar \> For details of accepted payment methods in each country, check the full list with \[payment methods availability.\](https://www.mercadopago.com.pe/developers/en/docs/sales-processing/payment-methods)